Error
A valid request URL is required to generate request examples{
"messages": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channel_id": "<string>",
"sent_by": {
"id": "<string>",
"display_name": "<string>",
"role": "Admin",
"icon_url": "<string>",
"metadata": {}
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"content": "<string>",
"thread_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"read_by": [
{
"id": "<string>",
"display_name": "<string>",
"role": "Admin",
"icon_url": "<string>",
"metadata": {}
}
],
"reactions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"emoji_code": "<string>",
"user": {
"id": "<string>",
"display_name": "<string>",
"role": "Admin",
"icon_url": "<string>",
"metadata": {}
},
"created_at": "2023-11-07T05:31:56Z"
}
],
"attachments": [
{
"url": "<string>",
"name": "<string>",
"mime_type": "<string>",
"size": 123,
"source": "Binary",
"channel_id": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {}
}
],
"mentions": [
{
"type": "User",
"user": {
"id": "<string>",
"display_name": "<string>",
"role": "Admin",
"icon_url": "<string>",
"metadata": {}
}
}
],
"thread_reply_info": {
"count": 123,
"last_replied_at": "2023-11-07T05:31:56Z"
},
"edited_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"metadata": {}
}
],
"has_more": true,
"next_message_id": "<string>"
}{
"error": {
"message": "<string>",
"code": "BAD_REQUEST",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}
}{
"error": {
"message": "<string>",
"code": "UNAUTHORIZED"
}
}{
"error": {
"message": "<string>",
"code": "FORBIDDEN"
}
}{
"error": {
"message": "<string>",
"code": "NOT_FOUND"
}
}{
"error": {
"message": "<string>",
"code": "INTERNAL_SERVER_ERROR"
}
}Messages
メッセージ一覧の取得
指定したチャンネル内のメッセージを一覧取得します。
GET
/
channels
/
{channel_id}
/
messages
Error
A valid request URL is required to generate request examples{
"messages": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channel_id": "<string>",
"sent_by": {
"id": "<string>",
"display_name": "<string>",
"role": "Admin",
"icon_url": "<string>",
"metadata": {}
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"content": "<string>",
"thread_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"read_by": [
{
"id": "<string>",
"display_name": "<string>",
"role": "Admin",
"icon_url": "<string>",
"metadata": {}
}
],
"reactions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"emoji_code": "<string>",
"user": {
"id": "<string>",
"display_name": "<string>",
"role": "Admin",
"icon_url": "<string>",
"metadata": {}
},
"created_at": "2023-11-07T05:31:56Z"
}
],
"attachments": [
{
"url": "<string>",
"name": "<string>",
"mime_type": "<string>",
"size": 123,
"source": "Binary",
"channel_id": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {}
}
],
"mentions": [
{
"type": "User",
"user": {
"id": "<string>",
"display_name": "<string>",
"role": "Admin",
"icon_url": "<string>",
"metadata": {}
}
}
],
"thread_reply_info": {
"count": 123,
"last_replied_at": "2023-11-07T05:31:56Z"
},
"edited_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"metadata": {}
}
],
"has_more": true,
"next_message_id": "<string>"
}{
"error": {
"message": "<string>",
"code": "BAD_REQUEST",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}
}{
"error": {
"message": "<string>",
"code": "UNAUTHORIZED"
}
}{
"error": {
"message": "<string>",
"code": "FORBIDDEN"
}
}{
"error": {
"message": "<string>",
"code": "NOT_FOUND"
}
}{
"error": {
"message": "<string>",
"code": "INTERNAL_SERVER_ERROR"
}
}Authorizations
ユーザーがログインすると発行されるsession_idをBearerトークンとして指定します
Path Parameters
メッセージを取得したいチャンネルのID
Required string length:
1 - 100Pattern:
^[a-zA-Z0-9_-]+$Query Parameters
取得するメッセージの上限数
取得の基準点となるメッセージID。このIDを含んで後のメッセージを取得します。 指定がない場合は最も古いメッセージから取得します。(reverseがtrueの場合は最も新しいメッセージから取得します)
true: 新しい順(最新→古い)、false: 古い順(古い→最新) (default: false)
リアクションしたユーザーを含めるかどうかを決定します。 (default: false)
既読したユーザーを含めるかどうかを決定します。 (default: false)
返信メッセージを取得するかどうかを決定します。 (default: false) 注意: thread_idが指定されている場合、このパラメータは無視されます。
特定のスレッドの返信のみを取得する場合に親メッセージIDを指定します。 このパラメータを指定した場合、指定した親メッセージへの返信のみが取得されます。
スレッド返信情報を含めるかどうかを決定します。 (default: false)

